using System.Collections;

namespace PkmnLib.Dynamic.ScriptHandling;

public class ScriptContainer : IEnumerable<ScriptContainer>
{
    private Script? _script = null;

    public bool IsEmpty => _script is null;

    /// <inheritdoc />
    public IEnumerator<ScriptContainer> GetEnumerator()
    {
        yield return this;
    }
    

    IEnumerator IEnumerable.GetEnumerator()
    {
        return GetEnumerator();
    }
}