namespace PkmnLib.Dynamic.Models;

/// <summary>
/// Where the damage comes from.
/// </summary>
public enum DamageSource
{
    /// <summary>
    /// The damage is done by a move.
    /// </summary>
    MoveDamage = 0,

    /// <summary>
    /// The damage is done by something else.
    /// </summary>
    Misc = 1,

    /// <summary>
    /// The damage is done because of struggling.
    /// </summary>
    Struggle = 2,
}