namespace PkmnLib.Dynamic.ScriptHandling;

[AttributeUsage(AttributeTargets.Class)]
public class ScriptAttribute : Attribute
{
    public ScriptCategory Category { get; }
    public string Name { get; }
    
    public ScriptAttribute(ScriptCategory category, string name)
    {
        Category = category;
        Name = name;
    }
}