using PkmnLib.Dynamic.ScriptHandling;
using PkmnLib.Dynamic.ScriptHandling.Registry;
using PkmnLib.Scripts.Gen7.Libraries;

namespace PkmnLib.Scripts.Gen7;

public class Gen7Plugin : Plugin
{
    /// <inheritdoc />
    public override string Name => "Gen7";

    /// <inheritdoc />
    public override uint LoadOrder => 0;

    /// <inheritdoc />
    public override void Register(ScriptRegistry registry)
    {
        registry.RegisterAssemblyScripts(typeof(Gen7Plugin).Assembly);
        registry.RegisterBattleStatCalculator(new Gen7BattleStatCalculator());
        registry.RegisterDamageCalculator(new Gen7DamageCalculator(true));
        registry.RegisterMiscLibrary(new Gen7MiscLibrary());
    }
}